summaryrefslogtreecommitdiff
path: root/.expeditor
diff options
context:
space:
mode:
authorThom May <thom@chef.io>2018-02-15 14:25:07 +0000
committerThom May <thom@chef.io>2018-02-15 15:19:05 +0000
commit0ac00a8e04dcdf4298c68d92d047eb1c2cf04351 (patch)
tree60386774f921799651bc69626d2ba13a1c077334 /.expeditor
parentfdd9db047ee8b7401b947c1e60d9b996bd4fc336 (diff)
downloadchef-zero-0ac00a8e04dcdf4298c68d92d047eb1c2cf04351.tar.gz
Use latest ruby and enable expeditor
Signed-off-by: Thom May <thom@chef.io>
Diffstat (limited to '.expeditor')
-rw-r--r--.expeditor/config.yml35
-rw-r--r--.expeditor/update_version.sh12
2 files changed, 47 insertions, 0 deletions
diff --git a/.expeditor/config.yml b/.expeditor/config.yml
new file mode 100644
index 0000000..a1d6d76
--- /dev/null
+++ b/.expeditor/config.yml
@@ -0,0 +1,35 @@
+---
+slack:
+ notify_channel: chef-notify
+
+github:
+ version_tag_format: "v{{version}}"
+ minor_bump_labels:
+ - "Version: Bump Minor"
+
+changelog:
+ rollup_header: Changes not yet released to rubygems.org
+
+rubygems:
+ - chef-zero
+
+merge_actions:
+ - built_in:bump_version:
+ ignore_labels:
+ - "Version: Skip Bump"
+ - "Expeditor: Skip All"
+ - bash:.expeditor/update_version.sh:
+ only_if:
+ - built_in:bump_version
+ - built_in:update_changelog:
+ ignore_labels:
+ - "Changelog: Skip Update"
+ - "Expeditor: Skip All"
+ - built_in:build_gem:
+ only_if:
+ - built_in:bump_version
+
+promote:
+ action:
+ - built_in:publish_rubygems
+ - built_in:rollover_changelog
diff --git a/.expeditor/update_version.sh b/.expeditor/update_version.sh
new file mode 100644
index 0000000..2a32c6e
--- /dev/null
+++ b/.expeditor/update_version.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+#
+# After a PR merge, Chef Expeditor will bump the PATCH version in the VERSION file.
+# It then executes this file to update any other files/components with that new version.
+#
+
+set -evx
+
+sed -i -r "s/^(\s*)VERSION = \".+\"/\1VERSION = \"$(cat VERSION)\"/" lib/chef_zero/version.rb
+
+# Once Expeditor finshes executing this script, it will commit the changes and push
+# the commit as a new tag corresponding to the value in the VERSION file.